import type HtmlWebpackPlugin from 'html-webpack-plugin';
import type { WebpackPluginInstance, Compiler } from 'webpack';
import type { AssetsRetryOptions } from '../types';
export declare class AssetsRetryPlugin implements WebpackPluginInstance {
    #private;
    readonly name: string;
    readonly distDir: string;
    readonly inlineScript: boolean;
    readonly HtmlPlugin: typeof HtmlWebpackPlugin;
    scriptPath: string;
    constructor(options: AssetsRetryOptions & {
        distDir: string;
        HtmlPlugin: typeof HtmlWebpackPlugin;
    });
    getRetryCode(): Promise<string>;
    getScriptPath(): Promise<string>;
    apply(compiler: Compiler): void;
}
